## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanSourceTreeTextIWS Class Reference

`#include <XalanSourceTreeTextIWS.hpp>`

Inheritance diagram for XalanSourceTreeTextIWS:

[legend]
Collaboration diagram for XalanSourceTreeTextIWS:

[legend]
List of all members.

## Public Methods

- XalanSourceTreeTextIWS (const XalanDOMString &theData, XalanNode *theParentNode=0, XalanNode *thePreviousSibling=0, XalanNode *theNextSibling=0, IndexType theIndex=0)
    Constructor. More...
- virtual ~XalanSourceTreeTextIWS ()
- virtual bool isIgnorableWhitespace () const
    Determine whether the text node instance is composed entirely of XML whitespace. More...

## Protected Methods

- XalanSourceTreeTextIWS (const XalanSourceTreeTextIWS &theSource, bool)

## Constructor & Destructor Documentation

XalanSourceTreeTextIWS::XalanSourceTreeTextIWS ( | const XalanDOMString & theData,
| XalanNode * theParentNode = 0,
| XalanNode * thePreviousSibling = 0,
| XalanNode * theNextSibling = 0,
| IndexType theIndex = 0 )

  | Constructor. Parameters:
  theData | The text data of the node
  theParentNode | The parent node, if any.
  thePreviousSibling | The previous sibling, if any.
  theNextSibling | The next sibling, if any.
  theIndex | The document-order index of the node.

XalanSourceTreeTextIWS::~XalanSourceTreeTextIWS ( | )`[virtual]`

XalanSourceTreeTextIWS::XalanSourceTreeTextIWS ( | const XalanSourceTreeTextIWS & theSource,
| bool )`[protected]`

## Member Function Documentation

bool XalanSourceTreeTextIWS::isIgnorableWhitespace ( | ) const`[virtual]`

| Determine whether the text node instance is composed entirely of XML whitespace. Returns: true if the node is all XML whitespace, false if not Reimplemented from XalanSourceTreeText.

The documentation for this class was generated from the following file:

- XalanSourceTreeTextIWS.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.